﻿using System.Windows;

namespace ELTE.Windows.CoursesListInModelView
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            View.MainWindow window = new View.MainWindow(); // nézet létrehozása
            ViewModel.CoursesViewModel cursesViewModel = new ViewModel.CoursesViewModel(); // nézetmodell létrehozása
            window.DataContext = cursesViewModel; // nézetmodell és modell társítása
            window.Show();
        }
    }
}
