﻿using System;
using System.Windows.Data;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// Kezdő dátum átalakító típusa.
    /// </summary>
    public class BeginDateConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (!(value is DateTime))
                return Binding.DoNothing;

            return ((DateTime)value).ToString("yyyy-MM-dd"); // átalakítjuk a megfelelő szöveges formára
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
